<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Agregar Paciente</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Pacientes</a>
            </li>
            <li class="breadcrumb-item active">Agregar</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Información del paciente</strong></h2>
          </div>
          <div class="body">
            <form class="m-4" [formGroup]="patientForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombres</mat-label>
                    <input matInput formControlName="nombre" [(ngModel)]="Name" required>
                    <mat-error *ngIf="patientForm.get('nombre').hasError('required')">
                      El nombre es obligatorio
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Apellidos</mat-label>
                    <input matInput formControlName="apellido" [(ngModel)]="Ape" required>
                    <mat-error *ngIf="patientForm.get('apellido').hasError('required')">
                      El apellido es obligatorio
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>RFC</mat-label>
                    <input maxlength="13" matInput formControlName="rfc" [(ngModel)]="Rfc">
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="conveniosclinica === null">
                    <mat-label>Sin Convenios</mat-label>
                    <mat-select formControlName="convenio" [(ngModel)]="Convenio" [disabled]="true">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtroconvenio" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let convenio of conveniosclinica1" [value]="convenio.id">
                        {{convenio.NombreConvenio}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="conveniosclinica !== null">
                    <mat-label>Convenio</mat-label>
                    <mat-select formControlName="convenio" [(ngModel)]="Convenio">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtroconvenio" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let convenio of conveniosclinica1" [value]="convenio.id">
                        {{convenio.NombreConvenio}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Notas de convenio</mat-label>
                    <input *ngIf="Convenio === ''" matInput formControlName="notas" [(ngModel)]="Notas_Convenio" [readonly]="true">
                    <input *ngIf="Convenio !== ''" matInput formControlName="notas" [(ngModel)]="Notas_Convenio">
                    <!-- <mat-error *ngIf="patientForm.get('notas').hasError('required')">
                      El nombre es obligatorio
                    </mat-error> -->
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Dirección</mat-label>
                    <input matInput formControlName="address" [(ngModel)]="Dire">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Celular</mat-label>
                    <input matInput formControlName="mobile" maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' [(ngModel)]="Celu" required>
                    <mat-error *ngIf="patientForm.get('mobile').hasError('required')">
                      El telefono es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Correo Electrónico</mat-label>
                    <input matInput formControlName="email" type="email" required [(ngModel)]="Mail">
                    <mat-error *ngIf="patientForm.get('email').hasError('required')">
                      El Correo Electrónico es requerido
                    </mat-error>
                    <mat-error *ngIf="patientForm.get('email').hasError('email')">
                      El Correo Electrónico no es valido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Fecha Nacimiento</mat-label>
                    <input matInput [matDatepicker]="picker" formControlName="dob" [(ngModel)]="Fecha" required (dateChange)="calcularedad($event)">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                    <mat-error *ngIf="patientForm.get('dob').hasError('required')">
                      Por favor seleccione una fecha
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Edad</mat-label>
                    <input matInput formControlName="Edad" maxlength="2" onkeypress='return event.charCode >= 48 && event.charCode <= 57' [(ngModel)]="Edad" [readonly]="true">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width " appearance="outline">
                    <mat-label>Grupo Sanguíneo</mat-label>
                    <mat-select formControlName="bGroup" [(ngModel)]="Grupo" required>
                      <mat-option [value]="'A+'">
                        A+
                      </mat-option>
                      <mat-option [value]="'A-'">
                        A-
                      </mat-option>
                      <mat-option [value]="'B+'">
                        B+
                      </mat-option>
                      <mat-option [value]="'B-'">
                        B-
                      </mat-option>
                      <mat-option [value]="'O+'">
                        O+
                      </mat-option>
                      <mat-option [value]="'O-'">
                        O-
                      </mat-option>
                      <mat-option [value]="'AB+'">
                        AB+
                      </mat-option>
                      <mat-option [value]="'AB-'">
                        AB-
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('bGroup').hasError('required')">
                      El grupo sanguineo es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width " appearance="outline">
                    <mat-label>Genero</mat-label>
                    <mat-select formControlName="gender" [(ngModel)]="Gen" required>
                      <mat-option value="Masculino">
                        Masculino
                      </mat-option>
                      <mat-option value="Femenino">
                        Femenino
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('gender').hasError('required')">
                      El genero es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width " appearance="outline">
                    <mat-label>Estado Civil</mat-label>
                    <mat-select formControlName="maritalStatus" [(ngModel)]="Civil" required>
                      <mat-option value="Soltero/a">
                        Soltero/a
                      </mat-option>
                      <mat-option value="Casado/a">
                        Casado/a
                      </mat-option>
                      <mat-option value="Divorciado/a">
                        Divorciado/a
                      </mat-option>
                      <mat-option value="Viudo/a">
                        Viudo/a
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('maritalStatus').hasError('required')">
                      El estado civil es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Ocupación</mat-label>
                    <input matInput formControlName="age" [(ngModel)]="Ocu">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Observaciones</mat-label>
                    <textarea matInput formControlName="bPresure" [(ngModel)]="Obser"></textarea>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="docs === null">
                    <mat-label>Sin Doctores</mat-label>
                    <mat-select formControlName="maritalStatus" [(ngModel)]="idDoc" [disabled]="true" required>
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let doc of docs1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('maritalStatus').hasError('required')">
                      Debe elegir un Doctor
                    </mat-error>
                  </mat-form-field>

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="docs !== null">
                    <mat-label>Doctor</mat-label>
                    <mat-select formControlName="maritalStatus" [(ngModel)]="idDoc" required>
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let doc of docs1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="patientForm.get('maritalStatus').hasError('required')">
                      Debe elegir un Doctor
                    </mat-error>
                  </mat-form-field>

                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Imagen del Paciente</mat-label>
                    <ngx-mat-file-input formControlName="uploadImg" id="foto"
                    (change)="onFileChanged($event,$event.target.files, $event)" multiple
                    accept="image/*">
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Responsable de pago</mat-label>
                    <input matInput formControlName="responsable" [(ngModel)]="Responsable_P">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <h4>Familiar Registrado</h4>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="nombref" [(ngModel)]="FNombre">
                  </mat-form-field> -->

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="pacientes === null">
                    <mat-label>Sin Pacientes</mat-label>
                    <mat-select formControlName="nombref" [(ngModel)]="FNombre" [disabled]="true">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrofamiliar" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let paciente of pacientes1" [value]="paciente.idPacientes">
                        {{paciente.Nombre}} {{paciente.Apellido}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="pacientes !== null">
                    <mat-label>Familiar</mat-label>
                    <mat-select formControlName="nombref" [(ngModel)]="FNombre">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrofamiliar" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let paciente of pacientes1" [value]="paciente.idPacientes">
                        {{paciente.Nombre}} {{paciente.Apellido}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Parentesco</mat-label>
                    <input matInput formControlName="parent" [(ngModel)]="Parente">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <h4>Contacto en caso de emergencia</h4>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="nombree" [(ngModel)]="Nombre_E">
                  </mat-form-field>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Teléfono</mat-label>
                    <input matInput maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' formControlName="telefonoe" [(ngModel)]="Tel_E">
                  </mat-form-field>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Parentesco</mat-label>
                    <input matInput formControlName="parentescoe" [(ngModel)]="Parentesco_E">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3" *ngIf="idClinica !== null">
                  <button class="mr-3"  mat-raised-button
                    color="primary" [disabled]="!patientForm.valid " (click)="crearPaciente()">Agregar</button>
                  <button type="button" mat-button>Cancelar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
